# Ekaros: A Python Library for Generative AI Art

[![pypi-image]][pypi-url]
[![license-image]][license-url]
[![version-image]][release-url]
[![release-date-image]][release-url]
[![jupyter-book-image]][docs-url]

<!-- Links: -->

[pypi-image]: https://img.shields.io/pypi/v/ekaros
[license-image]: https://img.shields.io/github/license/entelecheia/ekaros
[license-url]: https://github.com/entelecheia/ekaros/blob/main/LICENSE
[version-image]: https://img.shields.io/github/v/release/entelecheia/ekaros?sort=semver
[release-date-image]: https://img.shields.io/github/release-date/entelecheia/ekaros
[release-url]: https://github.com/entelecheia/ekaros/releases
[jupyter-book-image]: https://jupyterbook.org/en/stable/_images/badge.svg
[repo-url]: https://github.com/entelecheia/ekaros
[pypi-url]: https://pypi.org/project/ekaros
[docs-url]: https://ekaros.entelecheia.ai
[changelog]: https://github.com/entelecheia/ekaros/blob/main/CHANGELOG.md
[contributing guidelines]: https://github.com/entelecheia/ekaros/blob/main/CONTRIBUTING.md

<!-- Links: -->

- Documentation: [https://ekaros.entelecheia.ai][docs-url]
- GitHub: [https://github.com/entelecheia/ekaros][repo-url]
- PyPI: [https://pypi.org/project/ekaros][pypi-url]

Ekaros is a creative and versatile Python library designed for crafting generative AI art, fostering the intersection of artificial intelligence and artistic expression. The name Ekaros is inspired by the Greek word Ἴκαρος (Icarus), symbolizing the limitless possibilities and aspirations in the realm of AI-driven creativity.

## Features

Ekaros offers an array of features that cater to artists, developers, and researchers interested in exploring the potential of AI in art:

- **Intuitive API**: Ekaros provides an easy-to-use API that allows users to generate and manipulate artistic creations with just a few lines of code.

- **Diverse generative techniques**: The library supports a wide range of generative techniques, including Generative Adversarial Networks (GANs), Variational Autoencoders (VAEs), and neural style transfer, enabling users to experiment with different artistic styles and approaches.

- **Customizability**: Ekaros allows users to create custom generative models with full control over model architecture, training parameters, and artistic constraints, offering the flexibility to explore unique creative visions.

- **Pre-trained models**: The library includes a collection of pre-trained models for various artistic styles and domains, enabling users to leverage transfer learning and quickly generate AI art tailored to their preferences.

- **Visualization and rendering tools**: Ekaros comes with a suite of tools for visualizing, rendering, and exporting AI-generated art in various formats, including static images, animations, and interactive installations.

## Installation

You can install Ekaros using pip:

```bash
pip install ekaros
```

## Getting Started

To begin your journey with Ekaros, visit the [official documentation][docs-url] and the [GitHub repository][repo-url] for examples, tutorials, and additional information.

## Changelog

See the [CHANGELOG] for more information.

## Contributing

Contributions are welcome! Please see the [contributing guidelines] for more information.

## License

This project is released under the [MIT License][license-url].
